# Events sharing

Events sharing in Prism / Objects / Events — Micro Go reference.

Reference for Go SDK **0.8.0**.

[Release source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/api.md) · [Setup and client configuration](/docs/reference/go)

## Update

`PUT /v2/prism/{teamId}/event/{eventId}/grant`

````text
client.Prism.Objects.Events.Grant.Update(ctx context.Context, eventID string, params micro.PrismObjectEventGrantUpdateParams) (*micro.PrismObjectEventGrantUpdateResponse, error)
````

Update grant

## Get

`GET /v2/prism/{teamId}/event/{eventId}/grant`

````text
client.Prism.Objects.Events.Grant.Get(ctx context.Context, eventID string, query micro.PrismObjectEventGrantGetParams) (*micro.PrismObjectEventGrantGetResponse, error)
````

Get grant

## Parameter and response types

These declarations show the request parameters and response shapes used by the methods above.

### PrismObjectEventGrantUpdateResponse

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjecteventgrant.go)

````text
type PrismObjectEventGrantUpdateResponse struct {
	TeamGroupID []map[string]PrismObjectEventGrantUpdateResponseTeamGroupID `json:"team_group_id"`
	TeamID      map[string]PrismObjectEventGrantUpdateResponseTeamID        `json:"team_id"`
	UserID      []map[string]PrismObjectEventGrantUpdateResponseUserID      `json:"user_id"`
	JSON        prismObjectEventGrantUpdateResponseJSON                     `json:"-"`
}
````


### PrismObjectEventGrantGetResponse

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjecteventgrant.go)

````text
type PrismObjectEventGrantGetResponse struct {
	TeamGroupID []map[string]PrismObjectEventGrantGetResponseTeamGroupID `json:"team_group_id"`
	TeamID      map[string]PrismObjectEventGrantGetResponseTeamID        `json:"team_id"`
	UserID      []map[string]PrismObjectEventGrantGetResponseUserID      `json:"user_id"`
	JSON        prismObjectEventGrantGetResponseJSON                     `json:"-"`
}
````


### PrismObjectEventGrantUpdateParams

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjecteventgrant.go)

````text
type PrismObjectEventGrantUpdateParams struct {
	// Use [option.WithTeamID] on the client to set a global default for this field.
	PathTeamID     param.Field[string]                                                    `path:"teamId" api:"required" format:"uuid"`
	TeamGroupID    param.Field[[]map[string]PrismObjectEventGrantUpdateParamsTeamGroupID] `json:"team_group_id"`
	BodyTeamID     param.Field[map[string]PrismObjectEventGrantUpdateParamsTeamID]        `json:"team_id"`
	UserID         param.Field[[]map[string]PrismObjectEventGrantUpdateParamsUserID]      `json:"user_id"`
	IdempotencyKey param.Field[string]                                                    `header:"Idempotency-Key"`
}
````


### PrismObjectEventGrantGetParams

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjecteventgrant.go)

````text
type PrismObjectEventGrantGetParams struct {
	// Use [option.WithTeamID] on the client to set a global default for this field.
	TeamID param.Field[string] `path:"teamId" api:"required" format:"uuid"`
}
````


### PrismObjectEventGrantUpdateResponseTeamGroupID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjecteventgrant.go)

````text
type PrismObjectEventGrantUpdateResponseTeamGroupID string
````


### PrismObjectEventGrantUpdateResponseTeamID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjecteventgrant.go)

````text
type PrismObjectEventGrantUpdateResponseTeamID string
````


### PrismObjectEventGrantUpdateResponseUserID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjecteventgrant.go)

````text
type PrismObjectEventGrantUpdateResponseUserID string
````


### PrismObjectEventGrantGetResponseTeamGroupID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjecteventgrant.go)

````text
type PrismObjectEventGrantGetResponseTeamGroupID string
````


### PrismObjectEventGrantGetResponseTeamID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjecteventgrant.go)

````text
type PrismObjectEventGrantGetResponseTeamID string
````


### PrismObjectEventGrantGetResponseUserID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjecteventgrant.go)

````text
type PrismObjectEventGrantGetResponseUserID string
````


### PrismObjectEventGrantUpdateParamsTeamGroupID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjecteventgrant.go)

````text
type PrismObjectEventGrantUpdateParamsTeamGroupID string
````


### PrismObjectEventGrantUpdateParamsTeamID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjecteventgrant.go)

````text
type PrismObjectEventGrantUpdateParamsTeamID string
````


### PrismObjectEventGrantUpdateParamsUserID

[Source](https://github.com/micro-so/micro-sdk-go/blob/v0.8.0/prismobjecteventgrant.go)

````text
type PrismObjectEventGrantUpdateParamsUserID string
````
